When building using the autobuild script, I encountered the following error:

CMake Error at libraries/wasm-jit/Source/Runtime/CMakeLists.txt:26 (find_package): Could not find a package configuration file provided by "LLVM" (requested version 4.0) with any of the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set "LLVM_DIR" to a directory containing one of the above files. If "LLVM" provides a separate development package or SDK, be sure it has been installed.

LLVM wasn't previously installed and all the dependencies were successfully installed via the build script. Does anyone have any suggestions?

I am not sure about your OS, but with brew

$ brew info llvm  
llvm: stable 4.0.0 (bottled), HEAD [keg-only]

And let cmake know where to find cmake files for llvm:

export LLVM_DIR=/usr/local/Cellar/llvm/4.0.0_1/lib/cmake

Similar path to llvm/4.0/lib/cmake should exist for macports or installation from source. For permanent change add it to ~/.bashrc or ~/.bash_profile

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.